# $Revision: 1.11 $, $Date: 2004/05/07 01:09:19 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Twofish
Summary:	Crypt::Twofish Perl module - the Twofish encryption algorithm
Summary(pl):	Modu Perla Crypt::Twofish - algorytm szyfrowania Twofish
Name:		perl-Crypt-Twofish
Version:	2.12
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	39937a00e4d5e6a5d700d1cd9991517c
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements Twofish encryption. It supports the Crypt::CBC
interface. Twofish is a 128-bit symmetric block cipher with a variable
length (128, 192, or 256-bit) key, developed by Counterpane Labs. It
is unpatented and free for all uses, as described at
<http://www.counterpane.com/twofish.html>.

%description -l pl
Ten modu jest implementacj szyfrowania Twofish. Obsuguje interfejs
Crypt::CBC. Twofish jest 128-bitowym symetrycznym szyfrem blokowym ze
zmienn dugoci klucza (128, 192 lub 256 bitw), opracowanym przez
Counterpane Labs. Nie jest opatentowany i mona go swobodnie uywa
do dowolnych celw, zgodnie z opisem pod adresem
<http://www.counterpane.com/twofish.html>.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Twofish.pm
%dir %{perl_vendorarch}/auto/Crypt/Twofish
%{perl_vendorarch}/auto/Crypt/Twofish/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Twofish/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Twofish.spec,v $
Revision 1.11  2004/05/07 01:09:19  ankry
- rel. 3

Revision 1.10  2004/05/06 18:09:27  ankry
- fixed perl-devel BR

Revision 1.9  2004/05/05 11:02:11  ankry
- cosmetics

Revision 1.8  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.7  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/01 18:46:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:30:06  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/02 20:06:34  qboosh
- new

